libqxp::QXP33Header Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libqxp::QXP33Header Class Reference

`#include <QXP33Header.h>`

Inheritance diagram for libqxp::QXP33Header:

## Public Member Functions
| QXP33Header (const boost::optional< QXPDocument::Type > &fileType=boost::none)
bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input) override
QXPDocument::Type | getType () const override
std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter) override
uint16_t | pagesCount () const
uint16_t | masterPagesCount () const
uint16_t | seed () const
uint16_t | increment () const
const QXPDocumentProperties & | documentProperties () const
Public Member Functions inherited from libqxp::QXP3HeaderBase
| QXP3HeaderBase (const boost::optional< QXPDocument::Type > &fileType=boost::none)
bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input) override
Public Member Functions inherited from libqxp::QXPHeader
| QXPHeader (const boost::optional< QXPDocument::Type > &fileType=boost::none)
virtual | ~QXPHeader ()=default
bool | isLittleEndian () const
bool | isBigEndian () const
unsigned | version () const
const char * | encoding () const

## Private Attributes
uint16_t | m_pagesCount
uint16_t | m_masterPagesCount
uint16_t | m_seed
uint16_t | m_increment
QXPDocumentProperties | m_documentProperties

## Additional Inherited Members
Protected Attributes inherited from libqxp::QXP3HeaderBase
std::string | m_signature
Protected Attributes inherited from libqxp::QXPHeader
unsigned | m_proc
unsigned | m_version
unsigned | m_language
boost::optional< QXPDocument::Type > | m_fileType

## Constructor & Destructor Documentation

## ◆ QXP33Header()

libqxp::QXP33Header::QXP33Header | ( | const boost::optional< QXPDocument::Type > & | fileType = `boost::none` | ) |
| explicit

## Member Function Documentation

## ◆ createParser()

std::unique_ptr< QXPParser > libqxp::QXP33Header::createParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| overridevirtual

Implements libqxp::QXPHeader.

## ◆ documentProperties()

const QXPDocumentProperties & libqxp::QXP33Header::documentProperties | ( |  | ) | const

## ◆ getType()

QXPDocument::Type libqxp::QXP33Header::getType | ( |  | ) | const
| overridevirtual

Implements libqxp::QXPHeader.

## ◆ increment()

uint16_t libqxp::QXP33Header::increment | ( |  | ) | const

## ◆ load()

bool libqxp::QXP33Header::load | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |
| overridevirtual

Implements libqxp::QXPHeader.

## ◆ masterPagesCount()

uint16_t libqxp::QXP33Header::masterPagesCount | ( |  | ) | const

## ◆ pagesCount()

uint16_t libqxp::QXP33Header::pagesCount | ( |  | ) | const

## ◆ seed()

uint16_t libqxp::QXP33Header::seed | ( |  | ) | const

## Member Data Documentation

## ◆ m_documentProperties

QXPDocumentProperties libqxp::QXP33Header::m_documentProperties
| private

Referenced by documentProperties(), and load().

## ◆ m_increment

uint16_t libqxp::QXP33Header::m_increment
| private

Referenced by increment(), and load().

## ◆ m_masterPagesCount

uint16_t libqxp::QXP33Header::m_masterPagesCount
| private

Referenced by load(), and masterPagesCount().

## ◆ m_pagesCount

uint16_t libqxp::QXP33Header::m_pagesCount
| private

Referenced by load(), and pagesCount().

## ◆ m_seed

uint16_t libqxp::QXP33Header::m_seed
| private

Referenced by load(), and seed().

The documentation for this class was generated from the following files:

- QXP33Header.h
- QXP33Header.cpp